org.apache.ignite.internal.processors.cache

## Class DynamicCacheChangeBatch

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.DynamicCacheChangeBatch

All Implemented Interfaces:
  Serializable

    public class DynamicCacheChangeBatch
    extends Object
    implements Serializable

Cache change batch.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DynamicCacheChangeBatch(Collection<DynamicCacheChangeRequest> reqs)`

### Method Summary

Methods
`Map<String,Map<UUID,Boolean>>` `clientNodes()`
`void` `clientNodes(Map<String,Map<UUID,Boolean>> clientNodes)`
`Collection<DynamicCacheChangeRequest>` `requests()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DynamicCacheChangeBatch

    public DynamicCacheChangeBatch(Collection<DynamicCacheChangeRequest> reqs)

Parameters:
  `reqs` - Requests.

### Method Detail

#### requests

    public Collection<DynamicCacheChangeRequest> requests()

Returns:
  Collection of change requests.

#### clientNodes

    public Map<String,Map<UUID,Boolean>> clientNodes()

Returns:
  Client nodes map.

#### clientNodes

    public void clientNodes(Map<String,Map<UUID,Boolean>> clientNodes)

Parameters:
  `clientNodes` - Client nodes map.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015